<?php
header('Content-Type: application/json');
require("dbinfo.php");
require("dl.php");
$con = mysqli_connect($sqlname, $username, $password, $db);
if(!$con){exit;}
mysqli_set_charset($con,"utf8");
$sql = "";



if( $_REQUEST["sql"] ) {
   $sql = $_REQUEST['sql'];
}


if( $_REQUEST["sql_ps1"] ) {
   $sql_ps1 = $_REQUEST['sql_ps1'];
}

if( $_REQUEST["sql_ps2"] ) {
   $sql_ps2 = $_REQUEST['sql_ps2'];
}

if( $_REQUEST["historia"] ) {
   $historia = $_REQUEST['historia'];
}

if( $_REQUEST["id"] ) {
   $id = $_REQUEST['id'];
}

if( $_REQUEST["tipo"] ) {
   $tipo = $_REQUEST['tipo'];
}



$cadena = explode(";",$sql);
if (is_array($cadena)) {
   for ($x = 0; $x < count($cadena); $x++) {
      if(strlen($cadena[$x]) > 2){
      $resultado = mysqli_query($con,$cadena[$x]);
      }
   }
}      

if ($sql_ps1 != ''){
   $resultado = mysqli_query($con,$sql_ps1);
}

if ($sql_ps2 != ''){
   $resultado = mysqli_query($con,$sql_ps2);
}

$sql = str_replace("'","",$sql);

$usuario = "administrador";
if( $_REQUEST["usuario"] ) {
   $usuario = $_REQUEST['usuario'];
}
if($id > 0 && $sql != '' && $tipo != '')
{
$fecha = dl_fecha::dl_ahora_texto();
   $sql = "INSERT INTO log2 (id_elemento,descripcion,tipo,fecha,usuario,tipo_elemento) VALUES (" . $id . ",'Se modificaron datos de tramo','DATOS MODIFICADOS','" . $fecha . "','" . $usuario . "','TRAMO')";
   $resultado = mysqli_query($con,$sql);
}


mysqli_close($con);

$resultado = array(
   'mensaje'=> $sql,
   'id'=>$id,
   'tipo'=>$tipo,
   'agregar_ps1'=>$agregar_ps1,
   'quitar_ps1'=>$quitar_ps1,
   'agregar_ps2'=>$agregar_ps2,
   'quitar_ps2'=>$quitar_ps2
   );
echo json_encode($resultado);
?>